{"title":"Create defaultDimensions for entities (v1.0)","url":"https://jonas-paprotka.de/docs/dev-itpro/api-reference/v1.0/api/dynamics_defaultdimensions_create/","by":"JOP-AL","license":"Copyright (c) Microsoft Corporation. CC BY 4.0, https://creativecommons.org/licenses/by/4.0/; code samples MIT. From https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_defaultdimensions_create, MicrosoftDocs/dynamics365smb-devitpro-pb at 828b6ee (2026-11-19). Changed: includes filled in, links to this site, and for agents shortened without dropping a fact.","credit":"Microsoft Corporation, CC BY 4.0","origin":"https://learn.microsoft.com/en-us/dynamics365/business-central/dev-itpro/api-reference/v1.0/api/dynamics_defaultdimensions_create","source":{"name":"Business Central developer and IT pro docs","repo":"https://github.com/MicrosoftDocs/dynamics365smb-devitpro-pb","commit":"828b6ee72fcd75755627cd6011f3d20899217ab2","date":"2026-11-19"},"checked":"2026-11-19","description":"(v1.0) Creates a default dimensions of the item object in Dynamics 365 Business Central.","date":"2024-05-01","meta":{"topic":"reference"},"outline":[{"level":1,"title":"Create defaultDimensions for entities (v1.0)","slug":"create-defaultdimensions-for-entities-v10","at":0,"chars":2538},{"level":2,"title":"HTTP request","slug":"http-request","at":112,"chars":234},{"level":2,"title":"Request headers (v1.0)","slug":"request-headers-v10","at":346,"chars":109},{"level":2,"title":"Request body (v1.0)","slug":"request-body-v10","at":455,"chars":102},{"level":2,"title":"Response (v1.0)","slug":"response-v10","at":557,"chars":139},{"level":2,"title":"Example (v1.0)","slug":"example-v10","at":696,"chars":1579},{"level":2,"title":"Related information","slug":"related-information","at":2275,"chars":263}],"text":"# Create defaultDimensions for entities (v1.0)\nCreates the default dimensions for entities in Business Central.\n## HTTP request\nReplace the URL prefix for Business Central depending on environment following the guideline<../endpoints-apis-for-dynamics>.\n```\nPOST businesscentralPrefix/companies({companyId})/items({itemId})/defaultDimensions\n```\n## Request headers (v1.0)\nHeader|Value\nAuthorization|Bearer {token}. Required.\nContent-Type|application/json\n## Request body (v1.0)\nIn the request body, supply a JSON representation of defaultDimensions object.\n## Response (v1.0)\nIf successful, this method returns ```201 Created``` response code and a defaultDimensions object in the response body.\n## Example (v1.0)\nRequest\nHere is an example of a request.\n> NOTE\n> The response object shown here may be truncated for brevity. All of the properties will be returned from an actual call.\n```json\nPOST https://{businesscentralPrefix}/api/v1.0/companies({companyId})/items({itemId})/defaultDimensions\nPOST https://{businesscentralPrefix}/api/v1.0/companies({companyId})/vendors({vendorId})/defaultDimensions\nPOST https://{businesscentralPrefix}/api/v1.0/companies({companyId})/employees({employeeId})/defaultDimensions\nPOST https://{businesscentralPrefix}/api/v1.0/companies({companyId})/customers({customerId})/defaultDimensions\n\n```\nRequest body\n```json\n{\n    \"parentId\":\"b3fbe87a-61b8-4a6c-85de-0555f1627a67\",\n    \"dimensionId\":\"d5fc81ea-8687-4e9d-9c49-7fde28ccdb1a\",\n    \"dimensionValueId\":\"1045a902-070a-4d31-b2b1-b9431e9e5b26\",\n    \"postingValidation\":\"Same Code\"\n}\n```\nResponse\n```json\n{\n    \"@odata.context\":\"https://api.businesscentral.dynamics.com/v1.0/api/v1.0/$metadata#companies(5106c77d-af37-4e2d-bb88-45d87aba1033)/items(b3fbe87a-61b8-4a6c-85de-0555f1627a67)/defaultDimensions\",\n    \"value\":\n    [\n        {\n            \"@odata.etag\":\"W/\\\"JzQ0OzNPaHFuS0ZQdk5oc3ZkSW9KdzVkdXk2LytjcmNqeHJJOU05SjZ1aFBYVjQ9MTswMDsn\\\"\",\n            \"parentId\":\"b3fbe87a-61b8-4a6c-85de-0555f1627a67\",\n            \"dimensionId\":\"d5fc81ea-8687-4e9d-9c49-7fde28ccdb1a\",\n            \"dimensionCode\":\"DEPARTMENT\",\n            \"dimensionValueId\":\"1045a902-070a-4d31-b2b1-b9431e9e5b26\",\n            \"dimensionValueCode\":\"PROD\",\n            \"postingValidation\":\"Same Code\"\n        }\n    ]\n}\n```\n## Related information\nTips for working with the APIs<../../../developer/devenv-connect-apps-tips>\ndefaultDimension resource<../resources/dynamics_defaultdimension>\ndynamics_defaultdimensions_get\ndynamics_defaultdimensions_update\ndynamics_defaultdimensions_delete"}